Issue 24070 - Items on ruler (i.e. tab stops, paragraph indent, table borders) should snap.
Summary: Items on ruler (i.e. tab stops, paragraph indent, table borders) should snap.
Status: CONFIRMED
Alias: None
Product: Writer
Classification: Application
Component: ui (show other issues)
Version: OOo 1.1
Hardware: All All
: P3 Trivial with 67 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: oooqa
: 4029 65932 66270 82447 83125 89636 104774 108611 113126 (view as issue list)
Depends on:
Blocks: 26135
  Show dependency treegraph
 
Reported: 2004-01-03 19:51 UTC by deragon
Modified: 2017-05-20 11:18 UTC (History)
10 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description deragon 2004-01-03 19:51:28 UTC
On the ruler, one can setup tab stops.  However, the tab stops are not snapping
at specific intervals like if there was a grid.  They are free floating, which
make them difficult to manage and set them at a proper place, specially when
working on a high resolution screen.  By default, they should snap, snapping
should be an option that can be enabled/disabled and the interval for the snap
grid should be configurable.
Comment 1 lohmaier 2004-01-04 21:56:56 UTC
confirming, setting target-milestone to "not determined", OS to ALL, Platform to ALL

PS: for advanced usage you should define the Tabs in a style and apply that
style instead of doing hard-formatting/layouting. Besides that, the default
tabstops are already at fixed intervals (the interval can be set using
Tools|Options -> Textdocument) which is almost equivalent to a grid...

but this is still is a valid request...
Comment 2 h.ilter 2004-01-06 09:21:35 UTC
Reassigned to BH
Comment 3 deragon 2004-01-11 13:54:22 UTC
Off topic, but what would be nice is that one can setup the tab stops visually,
then right-click for the context menu to appear and choose "Apply changes to
style" and the style is automatically updated with the current's paragraph settings.

Do you feel this is warrent of a new issue?
Comment 4 lohmaier 2004-04-07 19:32:14 UTC
You can already do that.
Edit the paragraph to suit your needs, define the tabstops, etc. and then launch
the stylist. The rightmost button can be used to update the style.
Comment 5 lohmaier 2006-06-05 00:18:46 UTC
*** Issue 65932 has been marked as a duplicate of this issue. ***
Comment 6 lohmaier 2006-06-09 12:17:53 UTC
*** Issue 66270 has been marked as a duplicate of this issue. ***
Comment 7 stefan.baltzer 2006-11-17 16:09:31 UTC
SBA: Adjusted summary. This affects all items on the ruler:
 - tab stops
 - paragraph margins
 - table cell borders
 - objects in text (text frames + graphics)

Note: In Draw, this can be configured with a configurable grid.
Comment 8 mmenaz 2006-11-17 17:14:46 UTC
I've seen how the most widely used proprietary program works, and seems fine to me:
the ruler snap is set to the same visual guidelines of the ruler, that are every
2.5mm (you have 4 in every cm).
In the ruler you have the number, i.e. 3, then a small vertical line (at 3.25
position), a bigger vertical line (at 3.5 position), then a small one again (at
3.75 pos.) and the next number (i.e. 4)
Like:
...3--'--I--'--4--'--I--'--5...
This setup seems very reasonable to me, and needs not custom configurability.
In Draw is configurable but that is a drawing program, so you can have different
and special needs, while for writing letters the above visual snap is all what
you need. So better not bloat the config interface with another parameter to set
(and consider the support issues to those that have accidentally set it wrong...).
Comment 9 tomory 2007-03-04 15:24:51 UTC
This is a feature I sorely miss, coming from Word. As for the advice about 
using styles: I use styles extensively, but I prefer to design them visually 
using GUI tools. "GUI" need not be synonymous with "imprecise."

N.B.: In Tools - Options - OpenOffice.org Writer - Grid, there already exist 
settings that _seem_ like they should govern this behavior, but they apparently 
are for something else, or are unimplemented, or both. (That tab is largely 
undocumented, so I can't tell whether it's supposed to be relevant to this 
feature, but it seems like it would be.)
Comment 10 dbachmann 2007-06-27 15:48:23 UTC
I agree this is a rather pressing issue. It's not absolutely crippling, but it
significantly annoys people coming from Word. I also expected Tools - Options -
OpenOffice.org Writer - Grid to address this.
Comment 11 bettina.haberer 2007-09-26 16:01:50 UTC
Hi Mathias, I have changed the current owner to your owner. Please take the
ownership of these enhancements.
Comment 12 jwork123nl 2007-09-29 10:03:06 UTC
It is unbelievable that such a basic issue still is not solved.
Is this due to programming difficulty or is the issue not seen as a problem
with developers?
This is one of the really annoying things when migrating from other word
processors.
Comment 13 Mathias_Bauer 2007-09-29 12:27:28 UTC
I think you exaggerate. While this might be an issue for some users (votes tell
that) many others won't recognize it at all (like me, I never use the mouse for
things like this and use styles instead where I enter the values numerically).
It surely isn't one of the most important issues in OOo Writer. And I hope you
agree that more important things should be done first.

BTW: If everything is declared as important, nothing is really important. So
don't expect that comments like yours can make any difference. We get them in
nearly every RFE. 

My personal feeling is that this issue is one of medium importance. Not
unimportant but clearly less important as e.g. a missing outliner, a missing
normal view etc. And all of these issues take time, sometimes a lot of time. So
please think about that before you make one of these "it's unbelievable..."
comments.
Comment 14 mmenaz 2007-09-29 13:34:40 UTC
to mba and all the other developers:
Premise: developers are doing a great work! Thanks!
COmplain: what I see as a big problem in OOo is the fact that "important" avoids
consider daily annoiances and problems users can face. I.e. developers consider
much more important a crash that occurs 1 time over 1.000.000 instead of an
"annoiance" that a user faces every day many times a day.
There are too much exaples of this, unfortunatly. Just I can remember / report
the first ones comes to my mind:
1) this issue ;)
2) the decimal separator of the numeric keyboards in Calc (fixed after too much
time)
3) calc that as default prints ALL the sheets and not the current one (solved
just recentrly, but with problems in the preview page number)
4) writer that did not had (or still has?) the "create single print jobs",a real
night mare if you have double side printer and have to print multiple copies
5) "Deleting newline deletes formatting on subsequent line (when in empty
paragraph)" #50135, was targeted for 2.3 then moved to "2.x"
6) etc. ;)
In short, watching OOo fix around 1.200 bugs / improvements, and have vary
annoying (belive me, I use OOo in my office) that seems (of course, for someone
that is familiar with the huge codebase) "easy to fix" be there since 1.1
version is something that makes you scream "unbelivable".
Also being one that tries to move people from M$crap to OOo, and be ashamed for
some of these "bugs" is really a bad experience. Remember that people that try
to move from M$ don't give OOo many chances, once Calc prints 50 sheets instead
of 1 Excel would have printed, they simply remove OOo. And having me forced to
set tabs and margins in numeric way with a dialog instead of simply drag with
the mouse is something that I fight daily and depresses mee too.
So please, for OOo sake, put users priorities on top of developers one. Btw,
also the "format paintbrush" does not work as expected, developers defending the
behaviour for "tecnical reasons", while users are upset because works not as
expected. Users don't mind about internal rapresentation or the way the code is
build, they follow their mental model, and that's what developers should care
most (see Alan Cooper's books about it, for instance).
Again, the above complain does not mean that I (we) don't apreciate your work,
just I (we) think that priorities should be fixed with another, more "productive
/ user friendly" criteria.
Comment 15 mmenaz 2007-09-29 13:40:00 UTC
ehm, of course
"4) writer that did not had (or still has?) the "create single print jobs",a real
night mare if you have double side printer and have to print multiple copies"
have to be read as
"4) writer that did not had (or still has?) the "create single print jobs" AS
DEFAULT SETTING, a real
night mare if you have double side printer and have to print multiple copies"
Comment 16 jwork123nl 2007-09-29 15:34:53 UTC
Hi mba,

First of all thanks for responding so promptly.
I like that aspect from the volunteers and paid staff of the Openoffice.org
community.

Apart from this I have to say I never had any luck with seeing my 
reported issues.
And some issues are just not solved for years...

For example, I still get spurious (leftover) lines on the display after
having moved the ruler. I guess this will never be solved, since I use
the least interesting OS (Linux) with the least interesting environment
(KDE). 
http://www.openoffice.org/issues/show_bug.cgi?id=50954

Also for some (unknown) reason Openoffice decided not to implement the
Microsoft-like three-triangle paragraph setting widget on the tab bar.
Together with the bug on non-snappability this makes it much more difficult
to easily create hanging indents.
BTW this ruler change was in the plan for 2.0, but never implemented, for
unknown reasons.

I agree with the previous poster that indeed user priorities should not be 
forgotten. 

As to my wording, I try not to be denigrating, It is just the literal fact: 
I really cannot believe it, it is an expression of my feeling!

Best of luck

John
Comment 17 jwork123nl 2007-09-29 15:44:51 UTC
MBa, one more remark, meant in good spirit :-)

Your advice of using styles and entering numerical values will not be
appreciated by my wife, who uses Openoffice mainly to create one
or two page letters.

Please try to understand the way in which people want to use a word processor
For simple letters you do things manually using the provided elements of the
UI. For more complicated jobs you use styles etc. For yet more challinging
document that need to be typgraphically well layed out and aligned you do
not use Openoffice.org at all, but something like Scribus.

But Openoffice.org should really be usable for users from the first category
above, and this is something that developers may loose sight of.
Comment 18 Mathias_Bauer 2007-09-29 15:48:44 UTC
Thanks for your reply; it lets me understand your motivation better. But OTOH
you should see our situation: beneath the permanent bug fixing we have to do and
the unfortunate fact that we have to implement yet-another-Word-import-filter
(sigh) we have a lot of RFEs, just take those with more than 10 votes:

http://www.openoffice.org/issues/buglist.cgi?component=Word+processor&issue_status=UNCONFIRMED&issue_status=NEW&issue_status=STARTED&issue_status=REOPENED&email1=&emailtype1=exact&emailassigned_to1=1&email2=&emailtype2=exact&emailreporter2=1&issueidtype=include&issue_id=&changedin=&votes=&chfieldfrom=&chfieldto=Now&chfieldvalue=&short_desc=&short_desc_type=allwords&long_desc=&long_desc_type=allwords&issue_file_loc=&issue_file_loc_type=substring&status_whiteboard=&status_whiteboard_type=substring&keywords=&keywords_type=anytokens&field0-0-0=votes&type0-0-0=greaterthan&value0-0-0=10&cmdtype=doit&namedcmd=mba+2.3&newqueryname=&order=Reuse+same+sort+as+last+time&Submit+query=Submit+query

As you can see we are working on some of them, but it's impossible to work on
all of them now. You also can see that the number of votes is not the only
criterion for what we do next (I explained that some time ago in our GullFOSS blog).
Comment 19 Mathias_Bauer 2007-09-30 10:02:17 UTC
Sure, my comment wasn't done to deny this request for enhancement, it was just
meant as a hint that this is a problem that only a part of our users have - and
an explanation why it can be *believable* ;-) that we didn't fix it. 
Comment 20 Regina Henschel 2007-10-09 19:59:22 UTC
*** Issue 82447 has been marked as a duplicate of this issue. ***
Comment 21 discoleo 2007-10-10 07:01:39 UTC
The Items on the ruler should also snap to positions of existing items (IF these
differ from the defined positions).

Added myself to cc-list.
Comment 22 lohmaier 2007-10-31 11:18:15 UTC
*** Issue 83125 has been marked as a duplicate of this issue. ***
Comment 23 ace_dent 2008-06-28 00:21:56 UTC
*** Issue 4029 has been marked as a duplicate of this issue. ***
Comment 24 ace_dent 2008-06-28 00:38:42 UTC
*** Issue 89636 has been marked as a duplicate of this issue. ***
Comment 25 ace_dent 2008-06-28 00:44:31 UTC
For info, these two Issues are closely related:
Issue 22503 - Position ToolTip needed when dragging margins on rulers
Issue 24070 - Items on ruler (i.e. tab stops, paragraph indent, table borders)
should snap.
Comment 26 typist 2008-11-16 15:56:04 UTC
"------- Additional comments from cloph Sun Jan 4 21:56:56 +0000 2004 -------"


It's maybe time to set the priority of unaddressed-for-years, nonetheless
important issues some steps higher - perhaps a step a year - we'd reach priority
-2 very soon, this way.

Stacking 'duplicates' is maybe fun, but not very sportive.


Regards,

typist
Comment 27 Mathias_Bauer 2008-11-18 14:40:51 UTC
setting target 3.x for better visibility
Comment 28 Rainer Bielefeld 2009-09-04 05:49:05 UTC
*** Issue 104774 has been marked as a duplicate of this issue. ***
Comment 29 michael.ruess 2010-01-25 12:29:19 UTC
*** Issue 108611 has been marked as a duplicate of this issue. ***
Comment 30 jamesblevins 2010-06-24 23:12:41 UTC
I hate registering for websites I won't visit very often. So I never do it 
unless I have feel an overwhelming urge to do so. This issue is the _only_ 
reason I created an account. I also gave it the maximum number of votes allowed, 
as this nonsense of the ruler not snapping makes me hate OOo. I so desperately 
want to love it, but it's the "little things" like this that make me dislike it.

I've read the comments. I know that the developers want to have users create 
styles and format their documents based off those styles. It's the "better" way. 
I get that, and will probably start doing things that way.

Normal users, on the other hand, want to do things using the path of least 
resistance. If it involves having to go to the help and do some planning, many - 
if not most -users will not do it. They would rather invest two seconds every 
time they open a new document to set the hanging indent by dragging the slider. 
They don't want to spend 15 minutes figuring out how to do it the "right" way. 
Most users aren't power users, so they couldn't care less about doing things the 
One True Way(TM).

Please think about this for just a moment. You can't set the hanging indent with 
any precision by using the slider. Say you want a .75" indent. Maybe with blind 
luck you could get the slider to land there. Odds are, you'll have to go format 
your paragraph and enter it manually anyway.

Since you can't set tab stops with the slider and have to set them with the 
keyboard, do you realize what that means? The slider to set tab stops is: 

Completely. Useless.

Actually, it's even worse than completely useless. Because it works in an 
unusable manner, it tricks the user into thinking it is useful for something 
when it actually isn't. It's a hypocritical illusion of a feature that pushes 
people away from using OOo. It screams, "This product lacks polish, and the 
developers don't really have a clue how people use/want to use their product." 
It drives people away from OOo.

Six-and-a-half years is far too long to let this languish. As for number of 
votes (also duplicated 8 times) being an indicator of how important this is to 
users, I can tell you that Grandma and Joe Sixpack aren't going to go through 
the hassle of getting an account just so they can vote on this issue. Yet, this 
is precisely the kind of thing they're going to notice right away and beg the 
geek in their life to find them a copy of Microsoft Office somewhere.

I know programming isn't easy because I do it on a regular basis. I also do a 
lot of end-user support. OOo is a massive undertaking, and I think that overall, 
you guys do a phenomenal job. I want this project to succeed. We need open 
formats and open-source software with which to create it. We need OOo. I want to 
see more and more people adopt it. It kills me that this issue creates negative 
first impressions of an otherwise spectacular product.

Please reconsider your classification (enhancement) and priority (P3) of this 
bug. Thank you.
Comment 31 adion 2010-06-24 23:46:57 UTC
jamesblevins said it perfectly - I also created an account months ago just to
vote on this single issue. I'd rather not create half-a-dozen styles with
various hanging indent values (which in itself is more complicated than it needs
to be) in each and every new document. I was eager to make OOo my new office
suite of choice when I switched to Linux a few months back, but there seem to be
not just one, but several operations in OOo that are akin to digging a hole to
install a ladder to wash the basement windows. Just plain unnecessary and
time-wasting.
Comment 32 jwork123nl 2010-06-25 06:42:07 UTC
It seems OpenOffice developers like working more on high profile user interface
redesign and importing/exporting alien file formats than some basic usability
issues.

I think that this bug will never be solved. It has been discussed to death
in the forums since at least 2003.
http://www.oooforum.org/forum/viewtopic.phtml?t=46

Ona related note, did anyone notice that feature plan for OpenOffice.org 2.0 (!)
contained an entry about creating a MS office like ruler to easier create
hanging indents?
(using three triangles instead of two). Was never implemented. Together with
a "snappy" ruler this would have been a godsend for 7 years already.
But the developers do not want simple users, they want you to create and
use styles.
 
Or what about trying to do something basic like inserting cut rows in calc?

http://www.openoffice.org/servlets/ReadMsg?listName=users&msgNo=145404
I guess also here the developers do not want to support simple users.
Here you need some three-fingered trick using ctrl-alt whatnot keys.
Usability? Not important.

Sorry about the rant, consider it my mourning process moving away from
OpenOffice.org and back again to Microsoft Office after five years...

I can accept now that "some things never change"
Comment 33 michael.ruess 2010-07-14 07:00:29 UTC
*** Issue 113126 has been marked as a duplicate of this issue. ***
Comment 34 juanitogan 2010-07-14 21:58:04 UTC
I'm not a developer on this project but it's the little usability things like
this that I fix first on my projects.  I'm always looking for shortcuts to make
the users happier.  Usually, I put them in before the user even thinks to ask
for it because I test everything.  And I test keyboard access as well!  (Too
many slackers skip that one these days.  Ugh.)

I gave max votes to this long ago even though I personally use styles
extensively and don't have a dieing need for the snap.  What's the use of fancy
features if the users hate the basics?

Anyhow, enough ranting.  Give me a grant to take a sabbatical from my job and
I'll learn the code and fix this myself (the fix should take not much time at
all -- it's setting everything up to find, test, and submit the update that
would take time since I'm an outsider at the moment working in a completely
different realm of development).  [I won't sacrifice my personal time with my
family time to do this so a grant would be necessary.  There is no free lunch is
there?]
Comment 35 satoshi_hayaki 2010-09-26 00:49:04 UTC
I myself am also amazed at this not being fixed yet. Just like everyone said: 
it's the little things.

Now, if I may ask, why exactly has this been overlooked for so long? Lack of 
developers? Lack of interest? Difficult to implement? (I'm actually curious as to 
how hard implementing this is).

I'm no programmer, but if I were to attach a patch, would it be accepted 
(assuming it's sane and functional)?
Comment 36 mailias 2010-09-27 11:03:41 UTC
I tell everyone to use styles when they write larger documents, but with smaller
documents it often does not make to use styles because it decreases productivity
enormously.

I really do not understand why user needs are so often neglected in favor of
debates on principles. IMHO good software should rather be soft towards the
users and adapt to their needs instead of trying to educate them. 

I would even be willing to make a donation if user needs were considered more.
But due to the reluctance of OO developers to improve usability and adapt to
user needs I finally purchased MS Office and I do not regret this decision.
Sorry guys, this attitude does not help to spread OO... 
Comment 37 dominussuus 2011-02-17 03:37:12 UTC
Even using styles, the main issue for me is that there's no way (I know of) to
calculate how far a tab stop is.  If there's a conversion calculator between
cm/in to tabs then let me know.  So, even using styles, one has to pull out
one's calculator and say "okay, I want something to be right aligned two tab
stops from the right margin and there are X tabs to a page and N cm per tab at Z
pt font so I need to set the right stop to (n*x - 2*n) cm which works out to..."
like, seriously, I've had to do this.

What's worse, the ruler in OO.org/LO **marks tab intervals** so the program
basically taunts you when you try to align your margin or stop to it (and
conveniently disappears if you go too far past it).  So, my point is that the
styles 'workaround' wouldn't work even if I tried to make it.

Parting thought: people think in relative points "X Qs to the right from this
and Y Qs above something else."  Computers think in absolutes of "X Qs from
(0,0), which is located at the top left-hand corner of the bounding frame."  All
positioning in OO.org/LO is calculated from the page origin, which is located at
the top left-hand corner of the page.  Therefore, OO.org/LO is designed for
computer typists and not humans!
Comment 38 hansonjon17 2012-02-23 05:39:15 UTC
Issue is confirmed to also affect LibreOffice 3.4.3

Voting for this one to be resolved. Please fix.
Major annoyance but probably a minor fix.
Comment 39 Jeremy Wilson 2012-10-22 14:42:03 UTC
I'm giving this issue a bump.  I too find it unacceptable that such a rudimentary function has remained unresolved for over 8 years.  OpenOffice is not/should not be geared only toward high-output superusers who will custom-set tab stops in templates whenever they need a custom indent.  A snapping indent arrow should be available for the letter I want to write to my mother, just as it should be available for my master's thesis.  To sum up:  regular users want a snapping ruler.
Comment 40 Emir Sarı 2013-05-27 13:57:47 UTC
Any update on this one?
Comment 41 Marcus 2017-05-20 11:18:13 UTC
Reset assigne to the default "issues@openoffice.apache.org".